<?php
/**
 * FuzeWorks Application Skeleton.
 *
 * The FuzeWorks MVC PHP FrameWork
 *
 * Copyright (C) 2016   TechFuze
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @author    TechFuze
 * @copyright Copyright (c) 2013 - 2016, Techfuze. (http://techfuze.net)
 * @copyright Copyright (c) 1996 - 2015, Free Software Foundation, Inc. (http://www.fsf.org/)
 * @license   http://opensource.org/licenses/GPL-3.0 GPLv3 License
 *
 * @link  http://techfuze.net/fuzeworks
 * @since Version 0.0.1
 *
 * @version Version 0.0.1
 */

use Application\Controller\Standard;
use FuzeWorks\Layout;
use FuzeWorks\Factory;

/**
 * Controller Standard Test.
 *
 * Tests the 'standard' controller.
 * @todo Implement a proper way to load the controller
 */
class standardTest extends TestCase
{

    private $controller;

    public function setUp()
    {
        require_once('application/Controller/controller.standard.php');
        $this->controller = new Standard();
    }

    public function testType()
    {
        $this->assertInstanceOf('\Application\Controller\Standard', $this->controller);
    }

    public function testIndex()
    {
        // First set a test file ready
        Layout::setDirectory(dirname(__FILE__) . '/testIndex/');

        // Perform and retrieve the output
        ob_start();
        $this->controller->index();
        Factory::getInstance()->output->_display();
        $output = ob_get_contents();
        ob_end_clean();

        $this->assertEquals('Hello!', $output);
    }

    public function tearDown()
    {
        Layout::reset();
        Factory::getInstance()->output->set_output('');
    }


}
